from setuptools import setup, find_packages

setup(
    name="fvenv",  # Nome do pacote no pip
    version="0.1.0",
    packages=find_packages(),
    install_requires=[
        "rich>=10.0.0"
    ],
    entry_points={
        'console_scripts': [
            'fvenv=fast_venv.main:main',  # Comando será 'fvenv'
        ],
    },
    author="MarcosBrendonDePaula",
    description="Um gerenciador de ambientes virtuais Python rápido e fácil",
    long_description=open("README.md", encoding="utf-8").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/MarcosBrendonDePaula/fast-venv",
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "Programming Language :: Python :: 3.12",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Environment :: Console",
        "Intended Audience :: Developers",
        "Topic :: Software Development :: Build Tools",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "Natural Language :: Portuguese (Brazilian)",
    ],
    keywords='venv virtualenv environment python manager cli',
    python_requires=">=3.7",
    project_urls={
        'Bug Reports': 'https://github.com/MarcosBrendonDePaula/fast-venv/issues',
        'Source': 'https://github.com/MarcosBrendonDePaula/fast-venv',
    }
)